Name:           libb64
Version:        1.2
Release:    1%{?dist}
Summary:        Tools for fast encoding/decoding data into and from a base64-encoded format

License:        Public Domain
URL:            http://libb64.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.src.zip


BuildRequires: gcc-c++
BuildRequires: make

%description
Base64 uses a subset of displayable ASCII characters, and is therefore a useful
encoding for storing binary data in a text file, such as XML, or sending binary
data over text-only email.

libb64 is a library of ANSI C routines for fast encoding/decoding data into and
from a base64-encoded format. C++ wrappers are included, as well as the source
code for standalone encoding and decoding executables.



%package        devel
Summary:        Development files for %{name}
Provides:      %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains the library and header files for developing
applications that use %{name}.


%package tools
Summary:        %{name}-b64 binary provided by %{name}

%description tools
This package provides the %{name}-b64 binary tool for encoding to and decoding
from the Base64 scheme. Please install the %{name}-devel package to develop
software using %{name}.

%prep
%autosetup

sed -i '/-O3/ d' src/Makefile
sed -i '/pedantic/ d' src/Makefile


%build
%set_build_flags
%make_build


%install
install -D -m 0644 -p src/libb64.a %{buildroot}/%{_libdir}/libb64.a
install -D -m 0755 -p base64/base64 %{buildroot}/%{_bindir}/libb64-base64
install -D -m 0644 -p -t %{buildroot}/%{_includedir}/b64/  include/b64/*



%files tools
%license LICENSE
%doc AUTHORS README
%{_bindir}/libb64-base64

%files devel
%license LICENSE
%{_includedir}/b64
%{_libdir}/libb64.a

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-1
- initial build
